/*
 *	SQKhep.h
 *
 *	Functions to communicate with Khepera
 *
 *	Written by Yves Piguet
 *	Copyright 1999, Yves Piguet and K-Team S.A.
 */

#ifndef __SQKhep__
#define __SQKhep__

#ifdef __cplusplus
extern "C" {
#endif

#include "LME.h"

/*
name = kserialname(port)
*/
LMEErr XF_KSerialName(LMEPtr lme, LMEInt nargin, LMEInt nargout, void *user);
#define XFKSerialName {XF_KSerialName,0,0,"kserialname",1,1,1,1}

/*
ref = kopen([port,bps,timeout])
*/
LMEErr XF_KOpen(LMEPtr lme, LMEInt nargin, LMEInt nargout, void *user);
#define XFKOpen {XF_KOpen,0,0,"kopen",1,1,1,1}

/*
reply = ksend(cmd, ref)
reply = ksend(cmd, ref, stopAtCr)
*/
LMEErr XF_KSend(LMEPtr lme, LMEInt nargin, LMEInt nargout, void *user);
#define XFKSend {XF_KSend,0,0,"ksend",2,3,1,1}

/*
kflush(ref)
*/
LMEErr XF_KFlush(LMEPtr lme, LMEInt nargin, LMEInt nargout, void *user);
#define XFKFlush {XF_KFlush,0,0,"kflush",1,1,0,0}

/*
kclose(ref)
*/
LMEErr XF_KClose(LMEPtr lme, LMEInt nargin, LMEInt nargout, void *user);
#define XFKClose {XF_KClose,0,0,"kclose",1,1,0,0}


void KShutdown(void);
	// close the connection if it's open

#ifdef __cplusplus
}
#endif

#endif
